/*
main.c
.   __________________________________
.  | _______________________________  |
.  | |    ________________          | |
.  | |   |   ___________  |         | |
.  | |    \  \          |_|         | |
.  | |     \  \                     | |
.  | |      \  \                    | |
.  | |       \  |   Parser          | |
.  | |	    /  /                    | |
.  | |    /  /          _           | |
.  | |   /  /__________| |          | |
.  | |   |_______________|          | |
.  | |  sigmacalc.sourceforge.net   | |
.  | |______________________________| |
.  |__________________________________|
.              /        \
.	          /          \

this file is part of Sigma Calculator
Copyleft (C)2012 SigmaCalc
:~)
http://sigmacalc.sourceforge.net

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
#include<stdio.h>
#include<math.h>
#include<string.h>
#include<conio.h>
#include<ctype.h>
#include"../../calc.h"
int main()
{
	char tempformula[1000];
	printf("\
           oooooooo          ooooo    oooo     o        ooooo  \n\
            oo    o         8        8    8    8       8       \n\
              oo      OOO   8        oooooo    8       8       \n\
             oo   o         8     8  o    o    8    8  8     8 \n\
           oooooooo          ooooo   o    o    8oooo    ooooo  \n\n\
                             Copyleft 2012                     \n\n\
     visit http://sigmacalc.sourceforge.net/ for more information on %c Calc  \n\n\n\
		   \n",228);
	scReset();
	for(;;)
	{

		double d;
		printf(">>>");
		scanf("%s",tempformula);
		scSetFormula(tempformula);
		if(scError.ErrorId == SC_NOERROR )
		{
			scParse();
		}
		if(scError.ErrorId != SC_NOERROR )
		{
			int from,to,i;
			printf("Error : %s at position %d \n\n",scErrors[scError.ErrorId-1],scError.ErrorPosition+1);
			from=scError.ErrorPosition-5;
			to=scError.ErrorPosition+5;
			if(from<0)
				from=0;
			if(to>strlen(tempformula))
				to=strlen(tempformula);
			for(i=from; i<to; i++)
				printf("%c",tempformula[i]);
			printf("\n");
			for(i=from; i<scError.ErrorPosition; i++)
				printf("-");
			printf("^\n\n");
		}
		else
		{
			d=scEvaluate();
			printf("%.15g\n\n",d);
		}
		scClear();
	}
	return 0;
}
